## ros-one-rostwitter 2.1.31-19jammy.20251023.0420

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rostwitter)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  dynamic_reconfigure
  message_generation
  rospy
  mk
)

catkin_python_setup()

add_action_files(
  DIRECTORY action
  FILES Tweet.action
)


generate_messages(
  DEPENDENCIES actionlib_msgs)

generate_dynamic_reconfigure_options(
  cfg/TweetImageServer.cfg
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

# on noetic it needs catkin_install_python to support Python3
# but it does not work on indigo for some reason...
if($ENV{ROS_DISTRO} STREQUAL "indigo")
  install(DIRECTORY scripts
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
  )
else()
  file(GLOB SCRIPT_PROGRAMS scripts/*.py)
  catkin_install_python(
    PROGRAMS ${SCRIPT_PROGRAMS}
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts/
  )
endif()

install(DIRECTORY test resource launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/rostwitter.test)
endif()

=== debian/changelog ===
ros-one-rostwitter (2.1.31-19jammy.20251023.0420) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:20:29 +0000

ros-one-rostwitter (2.1.31-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-rostwitter (2.1.30-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-rostwitter (2.1.29-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-rostwitter (2.1.28-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-rostwitter (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-rostwitter (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-rostwitter (2.1.25-0jammy) jammy; urgency=high

  * [rostwitter] use sub and not delete (#446 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/446>)
  * [rostwitter] reduce save file io (#441 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/441>)
  * [rostwitter] Support extracting base64 images and tweet them from text. with jpeg suffix support (#437 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/437>)
  * [tweet_image_server] control volume by dynamic_reconfigure (#398 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/398>)
  * rostwitter : install resource directory (#370 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/370>)
  * [rostwitter] Suppress tweet log (#378 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/378>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * tweet_image_server.py: sound_play version < 0.3.7 does not support 'sound_action' argument, so it uses robot_sound, instead of robot_sound_jp
    
  * add rostwitter.test (#285 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/285>)
  * [rostwitter] set_aborted when error in tweet_image_server.py (#277 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/277>)
  * Contributors: Aoi Nakane, Iori Yanokura, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-rostwitter (2.1.24-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-rostwitter (2.1.23-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-rostwitter (2.1.22-0jammy) jammy; urgency=high

  * Refactor rostwitter (#235 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/235>)
    
      * fix desired_encoding=bgr8
      * use action
      * speak warning
      * remove only if exists
      * add utf-8 encoding
      * add tweet_image_server
      * do not raise error
      * add util.py
      * add Tweet srv
      * add twitter.py for reuse
    
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-rostwitter (2.1.21-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-rostwitter (2.1.20-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rostwitter (2.1.19-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-rostwitter (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * clean up CMakeList.txt find_package
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-rostwitter (2.1.17-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rostwitter (2.1.16-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rostwitter (2.1.15-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-rostwitter (2.1.14-0jammy) jammy; urgency=high

  * remove debug print line in rostwitter to suppress log (#178 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/178>)
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-rostwitter (2.1.13-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-rostwitter (2.1.12-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-rostwitter (2.1.11-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-rostwitter (2.1.10-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.9-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.8-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.7-0jammy) jammy; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.6-0jammy) jammy; urgency=high





=== debian/control ===
Source: ros-one-rostwitter
Section: misc
Priority: optional
Maintainer: k-okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-message-generation, ros-one-mk, ros-one-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-rostwitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, python3-requests-oauthlib, python3-simplejson, ros-one-actionlib-msgs, ros-one-dynamic-reconfigure, ros-one-message-runtime, ros-one-rospy, ros-one-sound-play, ros-one-std-msgs
Description: The rostwitter package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rostwitter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rostwitter 2.1.31-19jammy.20260221.0053

=== debian/changelog ===
ros-one-rostwitter (2.1.31-19jammy.20260221.0053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 00:53:16 +0000

## ros-one-rostwitter 2.1.31-19noble.20251023.0418

=== debian/changelog ===
ros-one-rostwitter (2.1.31-19noble.20251023.0418) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 04:18:01 +0000

ros-one-rostwitter (2.1.31-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-rostwitter (2.1.30-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-rostwitter (2.1.29-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-rostwitter (2.1.28-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-rostwitter (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-rostwitter (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-rostwitter (2.1.25-0noble) noble; urgency=high

  * [rostwitter] use sub and not delete (#446 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/446>)
  * [rostwitter] reduce save file io (#441 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/441>)
  * [rostwitter] Support extracting base64 images and tweet them from text. with jpeg suffix support (#437 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/437>)
  * [tweet_image_server] control volume by dynamic_reconfigure (#398 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/398>)
  * rostwitter : install resource directory (#370 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/370>)
  * [rostwitter] Suppress tweet log (#378 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/378>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * tweet_image_server.py: sound_play version < 0.3.7 does not support 'sound_action' argument, so it uses robot_sound, instead of robot_sound_jp
    
  * add rostwitter.test (#285 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/285>)
  * [rostwitter] set_aborted when error in tweet_image_server.py (#277 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/277>)
  * Contributors: Aoi Nakane, Iori Yanokura, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-rostwitter (2.1.24-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-rostwitter (2.1.23-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-rostwitter (2.1.22-0noble) noble; urgency=high

  * Refactor rostwitter (#235 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/235>)
    
      * fix desired_encoding=bgr8
      * use action
      * speak warning
      * remove only if exists
      * add utf-8 encoding
      * add tweet_image_server
      * do not raise error
      * add util.py
      * add Tweet srv
      * add twitter.py for reuse
    
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-rostwitter (2.1.21-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-rostwitter (2.1.20-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rostwitter (2.1.19-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-rostwitter (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * clean up CMakeList.txt find_package
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-rostwitter (2.1.17-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rostwitter (2.1.16-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rostwitter (2.1.15-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-rostwitter (2.1.14-0noble) noble; urgency=high

  * remove debug print line in rostwitter to suppress log (#178 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/178>)
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-rostwitter (2.1.13-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-rostwitter (2.1.12-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-rostwitter (2.1.11-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-rostwitter (2.1.10-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.9-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.8-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.7-0noble) noble; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-rostwitter (2.1.6-0noble) noble; urgency=high





## ros-one-rostwitter 2.1.31-19noble.20260221.0126

=== debian/changelog ===
ros-one-rostwitter (2.1.31-19noble.20260221.0126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 01:26:42 +0000
